-- SNMP ASN1 Schema Definitions
-- NetIQ Corporation
-- 1233 West Loop South, Suite 810 
-- Houston, TX 77027 USA

-- VeRsIoN=falcon 1.0
-- CoPyRiGhT=Copyright (c) 2013 NetIQ Corporation and its affiliates. All Rights Reserved.

-- Schema Source:            snmp.sch
-- Description:
-- %version:             11 %
-- %date_modified:       Mon Jun  4 11:00:01 2007 %

-- Object ID Syntax
------------------------------------------
------------------------------------------
-- ASN1 Object ID's Defined as Follows:
--     joint-iso-ccitt(2) country(16) us(840) organization(1)
--     Novell(113719) applications(1) SNMP(6) NDSAttributeType(4)
--                                            NDSAttributeSyntax(5)
--                                            NDSObjectClass(6)
--              revision number(1) sequence number(1)
------------------------------------------

SNMPSchemaExtentions DEFINITIONS ::=
BEGIN

------------------------------------------
-- New attributes for NCP Server class
------------------------------------------

"snmpGroupDN" ATTRIBUTE ::=
{
	SyntaxID    SYN_DIST_NAME,
	Flags       {DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID   {2 16 840 1 113719 1 6 4 1}
}

"NCP Server" OBJECT-CLASS ::=
{
   Operation   MODIFY,
   MayContain  {"snmpGroupDN"}
}

------------------------------------------
-- New attributes for snmpGroup class
------------------------------------------

"snmpServerList" ATTRIBUTE ::=
{
	SyntaxID    SYN_DIST_NAME,
	Flags       {DS_SYNC_IMMEDIATE},
	ASN1ObjID   {2 16 840 1 113719 1 6 4 2}
}

"snmpTrapConfig" ATTRIBUTE ::=
{
	SyntaxID    SYN_OCTET_STRING,
	Flags       {DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID   {2 16 840 1 113719 1 6 4 3}
}

"snmpTrapDescription" ATTRIBUTE ::=
{
	SyntaxID    SYN_OCTET_STRING,
	Flags       {DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID   {2 16 840 1 113719 1 6 4 4}
}

"snmpTrapInterval" ATTRIBUTE ::=
{
	SyntaxID    SYN_INTEGER,
	Flags       {DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID   {2 16 840 1 113719 1 6 4 5}
}

"snmpTrapDisable" ATTRIBUTE ::=
{
	SyntaxID    SYN_BOOLEAN,
	Flags       {DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE},
	ASN1ObjID   {2 16 840 1 113719 1 6 4 6}
}

------------------------------------------
-- snmpGroup class definition
------------------------------------------

"snmpGroup" OBJECT-CLASS ::=
{
	Operation       ADD,
	SubClassOf      {"TOP"},
	Flags           {DS_EFFECTIVE_CLASS},
	ContainedBy     {"Country", "Locality", "domain", 
		    "Organizational Unit", "Organization"},
	NamedBy         {"CN"},
	MustContain     {"CN"},
	-- Order is not significant.
	MayContain  {
						"Version",
						"snmpServerList",
						"snmpTrapDisable",
						"snmpTrapInterval",
						"snmpTrapDescription",
						"snmpTrapConfig"},
	ASN1ObjID   {2 16 840 1 113719 1 6 6 1}
}

END
